Bug 199626 - assertion failed: HttpHeader.c:577: "0"
assertion failed: HttpHeader.c:577: "0"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 16:08 EDT by Sami Farin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.STABLE1-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 15:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2006-07-20 16:08:29 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.6.STABLE1-2.fc6

How reproducible:
100%

Steps to Reproduce:
1. Do request for http://foo.invalid
2.
3.
  
Actual results:
squid dies with error message
2006/07/20 23:10:46| assertion failed: HttpHeader.c:577: "0"

Expected results:
giving me DNS error page

Additional info:

tcpdump of the request
2006-07-20 23:11:04.017346 IP (tos 0x2,ECT(0), ttl  61, id 21815, offset 0,
flags [DF], proto: TCP (6), length: 375) 127.0.0.1.53856 > 127.0.0.1.3128: P,
cksum 0x99e2 (correct), 3043654767:3043655090(323) ack 3035115134 win 2048
<nop,nop,timestamp 669591900 669591899>
        0x0000:  4502 0177 5537 4000 3d06 e945 7f00 0001  E..wU7@.=..E....
        0x0010:  7f00 0001 d260 0c38 b56a 7c6f b4e8 2e7e  .....`.8.j|o...~
        0x0020:  8018 0800 99e2 0000 0101 080a 27e9 295c  ............'.)\
        0x0030:  27e9 295b 4745 5420 6874 7470 3a2f 2f66  '.)[GET.http://f
        0x0040:  6f6f 2e69 6e76 616c 6964 2f20 4854 5450  oo.invalid/.HTTP
        0x0050:  2f31 2e31 0d0a 486f 7374 3a20 666f 6f2e  /1.1..Host:.foo.
        0x0060:  696e 7661 6c69 640d 0a55 7365 722d 4167  invalid..User-Ag
        0x0070:  656e 743a 204d 6f7a 696c 6c61 2f35 2e30  ent:.Mozilla/5.0
        0x0080:  2028 5831 313b 2055 3b20 4c69 6e75 7820  .(X11;.U;.Linux.
        0x0090:  6936 3836 3b20 656e 2d55 533b 2072 763a  i686;.en-US;.rv:
        0x00a0:  312e 382e 302e 3429 2047 6563 6b6f 2f32  1.8.0.4).Gecko/2
        0x00b0:  3030 3630 3530 3820 4669 7265 666f 782f  0060508.Firefox/
        0x00c0:  312e 352e 302e 340d 0a41 6363 6570 743a  1.5.0.4..Accept:
        0x00d0:  202a 2f2a 0d0a 4163 6365 7074 2d4c 616e  .*/*..Accept-Lan
        0x00e0:  6775 6167 653a 2065 6e2d 7573 2c65 6e3b  guage:.en-us,en;
        0x00f0:  713d 302e 350d 0a41 6363 6570 742d 456e  q=0.5..Accept-En
        0x0100:  636f 6469 6e67 3a20 677a 6970 2c64 6566  coding:.gzip,def
        0x0110:  6c61 7465 0d0a 4163 6365 7074 2d43 6861  late..Accept-Cha
        0x0120:  7273 6574 3a20 4953 4f2d 3838 3539 2d31  rset:.ISO-8859-1
        0x0130:  2c75 7466 2d38 3b71 3d30 2e37 2c2a 3b71  ,utf-8;q=0.7,*;q
        0x0140:  3d30 2e37 0d0a 4b65 6570 2d41 6c69 7665  =0.7..Keep-Alive
        0x0150:  3a20 3330 300d 0a50 726f 7879 2d43 6f6e  :.300..Proxy-Con
        0x0160:  6e65 6374 696f 6e3a 206b 6565 702d 616c  nection:.keep-al
        0x0170:  6976 650d 0a0d 0a                        ive....

little after this I receive FIN packet from port 3128 when squid dies.
Comment 1 Martin Stransky 2006-07-20 16:37:53 EDT
It should be fixed in an upstream CVS. I'm going to update RH devel branch on
Monday 24th.
Comment 2 Martin Stransky 2006-07-25 04:51:59 EDT
It should be fixed in squid-2.6.STABLE1-3.fc6 (the latest rawhide), could you
check it please?
Comment 3 Sami Farin 2006-07-25 17:33:54 EDT
latest version is squid-2.6.STABLE1-2.fc6.src.rpm at
ftp://download.fedora.redhat.com/%2Fpub/fedora/linux/core/development/source/SRPMS/
Comment 4 Martin Stransky 2006-07-26 13:46:31 EDT
squid-2.6.STABLE1-3.fc6 is at
ftp://download.fedora.redhat.com/%2Fpub/fedora/linux/core/development/
could you check it?
Comment 5 Sami Farin 2006-07-26 15:13:57 EDT
-3 seems to work.

The following error was encountered:

    Unable to determine IP address from host name for foo.invalid 
...
Generated Wed, 26 Jul 2006 19:13:53 GMT by safari.iki.fi
(squid/2.6.STABLE1-20060725)

Note You need to log in before you can comment on or make changes to this bug.